Skip to main content
GET
/
draws
/
{drawId}
cURL
curl --request GET \
  --url https://consumer.fanfare.io/api/draws/{drawId}
{
  "drawAt": "2023-11-07T05:31:56Z",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "timeZone": "<string>",
  "capacity": 123,
  "closeAt": "2023-11-07T05:31:56Z",
  "continueSelectingUntilCompleted": true,
  "loyaltyBiasEnabled": true,
  "openAt": "2023-11-07T05:31:56Z",
  "statusOverride": "ended",
  "statusOverrideAt": "2023-11-07T05:31:56Z",
  "statusOverrideBy": "<string>"
}

Path Parameters

drawId
string
required

Response

Retrieved draw details

drawAt
string<date-time>
required
id
string<uuid>
required
timeZone
string
required
Minimum string length: 1
capacity
number | null
cleanupStatus
enum<string> | null
Available options:
pending,
completed
closeAt
string<date-time> | null
continueSelectingUntilCompleted
boolean | null
loyaltyBiasEnabled
boolean
openAt
string<date-time> | null
statusOverride
enum<string> | null
Available options:
ended
statusOverrideAt
string<date-time> | null
statusOverrideBy
string | null